Package org.eclipse.rdf4j.common.app.logging

## Interface LogConfiguration

- All Superinterfaces:
    `Configuration`
  All Known Implementing Classes:
    `AbstractLogConfiguration`, `LogbackConfiguration`, `LogConfigurationBase`

      public interface LogConfiguration
      extends Configuration

  Configuration settings for application logging.
  Author:
    Herko ter Horst

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ADMIN_EVENT_LOG_FILE` |
    `static String` | `ADMIN_EVENT_LOGGER_NAME` |
    `static String` | `LOG_FILE` |
    `static String` | `LOGGING_DIR` |
    `static String` | `USER_EVENT_LOG_FILE` |
    `static String` | `USER_EVENT_LOGGER_NAME` |

    - ### Fields inherited from interface org.eclipse.rdf4j.common.app.config.Configuration

      `DEFAULT_RESOURCES_LOCATION, DIR, RESOURCES_LOCATION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AppConfiguration` | `getAppConfiguration()` | Get application configuration
    `File` | `getBaseDir()` | The base location on the file system for logging configuration and data
    `File` | `getConfDir()` | The location on the file system where logging configuration is stored.
    `LogReader` | `getDefaultLogReader()` | Default (fallback) LogReader instance.
    `File` | `getLoggingDir()` | The location on the file system where logging data is stored.
    `LogReader` | `getLogReader​(String appender)` | A reader that can read logging information as stored by the specific logger's appender.
    `boolean` | `isDebugLoggingEnabled()` | Is debug logging enabled?
    `void` | `setAppConfiguration​(AppConfiguration config)` | Set application configuration
    `void` | `setBaseDir​(File baseDir)` | Set the base location on the file system for logging configuration and data
    `void` | `setDebugLoggingEnabled​(boolean enabled)` | Enable or disable debug logging.

    - ### Methods inherited from interface org.eclipse.rdf4j.common.app.config.Configuration

      `destroy, init, load, save`

- - ### Field Detail

    - #### LOGGING_DIR

          static final String LOGGING_DIR

      See Also:
        Constant Field Values

    - #### LOG_FILE

          static final String LOG_FILE

      See Also:
        Constant Field Values

    - #### USER_EVENT_LOG_FILE

          static final String USER_EVENT_LOG_FILE

      See Also:
        Constant Field Values

    - #### ADMIN_EVENT_LOG_FILE

          static final String ADMIN_EVENT_LOG_FILE

      See Also:
        Constant Field Values

    - #### USER_EVENT_LOGGER_NAME

          static final String USER_EVENT_LOGGER_NAME

      See Also:
        Constant Field Values

    - #### ADMIN_EVENT_LOGGER_NAME

          static final String ADMIN_EVENT_LOGGER_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setBaseDir

          void setBaseDir​(File baseDir)
                   throws IOException

      Set the base location on the file system for logging configuration and data
      Parameters:
        `baseDir` - the base location on the file system for logging configuration and data
      Throws:
        `IOException`

    - #### getBaseDir

          File getBaseDir()

      The base location on the file system for logging configuration and data
      Returns:
        the base location on the file system for logging configuration and data

    - #### getConfDir

          File getConfDir()

      The location on the file system where logging configuration is stored.
      Returns:
        the location on the file system where logging configuration is stored

    - #### getLoggingDir

          File getLoggingDir()

      The location on the file system where logging data is stored.
      Returns:
        the location on the file system where logging data is stored

    - #### getLogReader

          LogReader getLogReader​(String appender)

      A reader that can read logging information as stored by the specific logger's appender.
      Parameters:
        `appender` - Name of the appender to which the LogReader is attached
      Returns:
        a reader that can read logging information as stored by the logger configured through this LogConfiguration

    - #### getDefaultLogReader

          LogReader getDefaultLogReader()

      Default (fallback) LogReader instance.
      Returns:
        default (fallback) LogReader instance.

    - #### isDebugLoggingEnabled

          boolean isDebugLoggingEnabled()

      Is debug logging enabled?
      Returns:
        true if debug logging is enabled, false otherwise

    - #### setDebugLoggingEnabled

          void setDebugLoggingEnabled​(boolean enabled)

      Enable or disable debug logging.
      Parameters:
        `enabled` - set to true if debug logging should be enabled, set to false otherwise

    - #### setAppConfiguration

          void setAppConfiguration​(AppConfiguration config)

      Set application configuration
      Parameters:
        `config` - application configuration

    - #### getAppConfiguration

          AppConfiguration getAppConfiguration()

      Get application configuration
      Returns:
        application configuration